# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Resource types**

* [`k5login`](#k5login): Manage the `.k5login` file for a user.  Specify the full path to the `.k5login` file as the name, and an array of principals as the `principa

## Resource types

### k5login

Manage the `.k5login` file for a user.  Specify the full path to
the `.k5login` file as the name, and an array of principals as the
`principals` attribute.

#### Properties

The following properties are available in the `k5login` type.

##### `ensure`

Valid values: present, absent

The basic property that the resource should be in.

Default value: present

##### `principals`

The principals present in the `.k5login` file. This should be specified as an array.

##### `mode`

The desired permissions mode of the `.k5login` file. Defaults to `644`.

##### `seluser`

What the SELinux user component of the context of the file should be.
Any valid SELinux user component is accepted.  For example `user_u`.
If not specified it defaults to the value returned by matchpathcon for
the file, if any exists.  Only valid on systems with SELinux support
enabled.

##### `selrole`

What the SELinux role component of the context of the file should be.
Any valid SELinux role component is accepted.  For example `role_r`.
If not specified it defaults to the value returned by matchpathcon for
the file, if any exists.  Only valid on systems with SELinux support
enabled.

##### `seltype`

What the SELinux type component of the context of the file should be.
Any valid SELinux type component is accepted.  For example `tmp_t`.
If not specified it defaults to the value returned by matchpathcon for
the file, if any exists.  Only valid on systems with SELinux support
enabled.

##### `selrange`

What the SELinux range component of the context of the file should be.
Any valid SELinux range component is accepted.  For example `s0` or
`SystemHigh`.  If not specified it defaults to the value returned by
matchpathcon for the file, if any exists.  Only valid on systems with
SELinux support enabled and that have support for MCS (Multi-Category
Security).

#### Parameters

The following parameters are available in the `k5login` type.

##### `path`

namevar

The path to the `.k5login` file to manage.  Must be fully qualified.

